## xfishtank 2.3

=== debian/changelog ===
xfishtank (2.3-2) unstable; urgency=low

  * Fix segfault when there is no DISPLAY in environment (Closes: #716500)

 -- Marius Gavrilescu <marius@ieval.ro>  Thu, 11 Jul 2013 10:56:46 +0300

xfishtank (2.3-1) unstable; urgency=low

  * New maintainer (Closes: #540830)
  * New upstream version
  * Move xfishtank to /usr/games
  * Set Standards-Version to 3.9.4
  * Add hardening
  * Remove the -p switch from the manpage
  * Make package lintian-clean
  * Add Homepage and Vcs-* to debian/control

 -- Marius Gavrilescu <marius@ieval.ro>  Tue, 09 Jul 2013 19:26:17 +0300

xfishtank (2.2-26) unstable; urgency=low

  * QA upload.
  * Maintainer field set to QA group.
  * Moved to section "games" to fix override disparities.
  * build-{arch,indep} targets added.
  * Standards-Version set to 3.9.3.
  * Set debhelper compatibility level to 9.

 -- Emanuele Rocca <ema@debian.org>  Sat, 16 Jun 2012 16:35:09 +0000

xfishtank (2.2-25.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix Copyright as proposed by Bernhard R. Link and Daniel T Chen
    (Closes: #642116)
  * Set urgency to medium due to rc bug fix

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Fri, 02 Dec 2011 16:51:43 +0100

xfishtank (2.2-25.1) unstable; urgency=low

  * Non-maintainer upload.
  * Correct build dependencies (Closes: #485546, #515415)
  * Remove obsolete source and diff targets.
  * Don't ignore errors by make clean.
  * Add a dependency on misc:Depends
  * Add a versioned dependency on debhelper 7

 -- Raphael Geissert <geissert@debian.org>  Wed, 08 Jul 2009 03:01:55 -0500

xfishtank (2.2-25) unstable; urgency=low

  * Maintainer Upload, incorporates NMU
  * Updated dh compat level to v7

 -- Eric Schwartz (Skif) <emschwar@debian.org>  Wed, 10 Sep 2008 20:22:17 -0500

xfishtank (2.2-24.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on libxext-dev, fixes FTBFS (Closes: #486972)

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 27 Jun 2008 21:44:24 +0200

xfishtank (2.2-24) unstable; urgency=low

  * Move binaries out of /usr/X11R6/bin (Closes: #362906)

 -- Eric Schwartz (Skif) <emschwar@debian.org>  Fri, 21 Jul 2006 01:44:19 -0600

xfishtank (2.2-23.1) unstable; urgency=low

  * Non-maintainer upload to help xlibs-dev transition
  * debian/control: Replace xlibs-dev build-dep. (Closes: #346831)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Fri, 20 Jan 2006 14:47:32 +0100

xfishtank (2.2-23) unstable; urgency=low

  * Updated vroot.h to handle Xinerama (closes: #217490)

 -- Eric Schwartz <emschwar@debian.org>  Tue, 18 Nov 2003 22:09:50 -0700

xfishtank (2.2-22) unstable; urgency=low

  * Applied patch from Steve Kemp (closes: #176686)

 -- Eric Schwartz <emschwar@debian.org>  Mon,  7 Apr 2003 19:10:04 -0600

xfishtank (2.2-21) unstable; urgency=low

  * Checks for DefaultDepth > 8, instead of >= 16, as per patch by
    Matthew Marjanovic (closes: #144091)
  * Uses latest vroot.h from ftp.x.org/contrib/libraries (closes: #134253)

 -- Eric Schwartz <emschwar@debian.org>  Tue, 28 May 2002 22:55:56 -0600

xfishtank (2.2-20) unstable; urgency=low

  * Added MANSRCSUFFIX, per patch provided by tomas@groupe-internet.com
    (closes: #107801)
  * Added patch from Randolph Chung to build on ia64 (closes: #110214)
  * Patch also fixes build problems reported by Lamont (closes: #105115)

 -- Eric Schwartz <emschwar@debian.org>  Tue, 28 Aug 2001 09:01:17 -0600

xfishtank (2.2-19) unstable; urgency=low

  * fixed build-deps to include xutils (closes: #102280)

 -- Eric Schwartz <emschwar@debian.org>  Tue, 26 Jun 2001 02:26:50 -0600

xfishtank (2.2-18) unstable; urgency=low

  * rewrote option parsing code (closes: #63725)

 -- Eric Schwartz <emschwar@rmi.net>  Sat, 23 Jun 2001 18:21:00 -0600

xfishtank (2.2-17) unstable; urgency=low

  * Updated Maintainer

 -- Eric M. Schwartz <emschwar@debian.org>  Mon, 21 Aug 2000 21:52:00 -0700

xfishtank (2.2-16) unstable; urgency=low

  * Build deps.

 -- Joey Hess <joeyh@debian.org>  Sat,  4 Dec 1999 18:20:14 -0800

xfishtank (2.2-15) unstable; urgency=low

  * FHS

 -- Joey Hess <joeyh@debian.org>  Mon, 20 Sep 1999 21:14:45 -0700

xfishtank (2.2-14) unstable; urgency=low

  * Removed space after \ continuation character in menu file.

 -- Joey Hess <joeyh@debian.org>  Wed,  5 Aug 1998 14:23:36 -0700

xfishtank (2.2-13) unstable; urgency=low

  * Fixed minor lintian errors.

 -- Joey Hess <joeyh@debian.org>  Sat, 14 Mar 1998 20:32:57 -0800

xfishtank (2.2-12) unstable; urgency=low

  * Move man page into proper directory.

 -- Joey Hess <joeyh@debian.org>  Mon, 16 Feb 1998 14:10:58 -0800

xfishtank (2.2-11) unstable; urgency=low

  * Updated to latest standards version (was already compilent, AFAIK)
    #16781

 -- Joey Hess <joeyh@debian.org>  Wed,  7 Jan 1998 12:03:54 -0500

xfishtank (2.2-10) unstable; urgency=low

  * Package got corrupted on master, reupload of .orig.tar.gz.

 -- Joey Hess <joeyh@debian.org>  Wed,  3 Dec 1997 13:38:18 -0500

xfishtank (2.2-9) unstable; urgency=low

  * Fixed copyright file to actually give the copyright info (#14965), as
    well as the upstream source location.
  * Use debhelper.
  * I noticed that the source package contained gif code. Rather than move
    this package to non-free, I have created a new source package, with the
    gif code removed.

 -- Joey Hess <joeyh@debian.org>  Sun, 16 Nov 1997 20:05:26 -0500

xfishtank (2.2-8) unstable; urgency=low

  * Complied with libc6 xlib (#11954).
  * New maintainer.
  * Added a menu file.

 -- Joey Hess <joeyh@debian.org>  Wed, 10 Sep 1997 01:15:13 -0400

xfishtank (2.2-7) unstable; urgency=low

  * Orphaned the package.

 -- Vincent Renardias <vincent@waw.com>  Fri, 2 May 1997 01:16:46 +0200

xfishtank (2.2-6) unstable; urgency=low

  * Recompiled with libc6.

 -- Vincent Renardias <vincent@waw.com>  Fri, 2 May 1997 01:16:46 +0200

xfishtank (2.2-5) unstable; urgency=low

  * Wrote manpage. (Corrects Bug #5592)


