=== debian/control ===
Source: xfishtank
Section: games
Priority: optional
Build-Depends: debhelper (>= 9), libx11-dev, xutils-dev, libxext-dev
Maintainer: Marius Gavrilescu <marius@ieval.ro>
Homepage: http://jim.rees.org/computers/xfishtank.html
Vcs-Browser: http://git.ieval.ro/?p=xfishtank.git;a=summary
Vcs-Git: http://git.ieval.ro/git/xfishtank.git
Standards-Version: 3.9.4

Package: xfishtank
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: turns your X root into an aquarium
 Enjoy an animated aquarium background with a variety of tropical fish
 swimming in it on your screen.
