=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@
override_dh_auto_build:
	xmkmf -a
	dh_auto_build -- CCOPTIONS="$(shell dpkg-buildflags --get CFLAGS)" EXTRA_LOAD_FLAGS="$(shell dpkg-buildflags --get LDFLAGS)"
override_dh_auto_install:
	dh_auto_install -- BINDIR=/usr/games
