=== debian/watch ===
#version=3

# Enable the following when https://github.com/jim-rees/xfishtank/issues/3 is fixed
#https://github.com/jim-rees/xfishtank/tags .*/(\d[\d\.]*)\.tar\.gz
