## xfishtank 2.5

=== debian/changelog ===
xfishtank (2.5-1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:52:17 +0000

xfishtank (2.5-1) unstable; urgency=low

  * New upstream version
  * Re-add background image support (Closes: #645128)

 -- Marius Gavrilescu <marius@ieval.ro>  Fri, 09 Aug 2013 16:22:51 +0300
