=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: xfishtank
 Section: games
 Priority: optional
-Build-Depends: debhelper (>= 9), libx11-dev, xutils-dev, libxext-dev
-Maintainer: Marius Gavrilescu <marius@ieval.ro>
+Build-Depends: debhelper (>= 9), libx11-dev, xutils-dev, libimlib2-dev
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Marius Gavrilescu <marius@ieval.ro>
 Homepage: http://jim.rees.org/computers/xfishtank.html
 Vcs-Browser: http://git.ieval.ro/?p=xfishtank.git;a=summary
 Vcs-Git: http://git.ieval.ro/git/xfishtank.git
