## xfishtank 3.2.2

=== debian/changelog ===
xfishtank (3.2.2-1) unstable; urgency=medium

  * New upstream version
    Closes: #1075662
  * Maintain package in Debian Games team
    Closes: #1106388
  * Add missing Build-Depends
  * Adapt d/rules to new upstream build system
  * Fix watch file
    Closes: #1032174
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * d/copyright:
     - Secure URI in copyright format (routine-update)
     - New download location
     - Review + remove old free text form README
  * Fix Homepage
  * Propagate hardening options

 -- Andreas Tille <tille@debian.org>  Sun, 15 Jun 2025 06:24:58 +0200
