=== debian/control ===
Source: xfishtank
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Marius Gavrilescu <marius@ieval.ro>,
           Andreas Tille <tille@debian.org>
Section: games
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libx11-dev,
               libimlib2-dev,
               libxpm-dev,
               libxext-dev,
               libxt-dev,
               libgtk-3-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/games-team/xfishtank
Vcs-Git: https://salsa.debian.org/games-team/xfishtank.git
Homepage: https://ratrabbit.nl/ratrabbit/software/xfishtank/index.html

Package: xfishtank
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: turns your X root into an aquarium
 Enjoy an animated aquarium background with a variety of tropical fish
 swimming in it on your screen.
