=== debian/watch ===
version=4
https://sf.net/xfishtank .+/xfishtank-@ANY_VERSION@@ARCHIVE_EXT@
