## xfishtank 3.3.2

=== debian/changelog ===
xfishtank (3.3.2-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 3.3.2
  * Nump Standards-Version to 4.7.3, drop Priority: tag
  * Rewrite d/watch in v5 format
  * Add debian/salsa-ci.yml

 -- Alexandre Detiste <tchet@debian.org>  Wed, 18 Feb 2026 18:34:31 +0100
