=== debian/control ===
Source: xfishtank
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Marius Gavrilescu <marius@ieval.ro>,
 Andreas Tille <tille@debian.org>,
Section: games
Build-Depends:
 debhelper-compat (= 13),
 libgtk-3-dev,
 libimlib2-dev,
 libx11-dev,
 libxext-dev,
 libxpm-dev,
 libxt-dev,
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/games-team/xfishtank
Vcs-Git: https://salsa.debian.org/games-team/xfishtank.git
Homepage: https://ratrabbit.nl/ratrabbit/software/xfishtank/index.html

Package: xfishtank
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: turns your X root into an aquarium
 Enjoy an animated aquarium background with a variety of tropical fish
 swimming in it on your screen.
