=== debian/watch ===
Version: 5

Source: https://sf.net/xfishtank
Matching-Pattern: .+/xfishtank-@ANY_VERSION@@ARCHIVE_EXT@
